Scriptname _ndm_healthtracker extends ReferenceAlias  

Quest Property _ndm_mainquest  Auto  

GlobalVariable Property _ndm_global_currentchestno  Auto 
GlobalVariable Property _ndm_global_unrecovereditems  Auto  
GlobalVariable Property _ndm_global_locationknown  Auto  

GlobalVariable Property _ndm_global_trackhealth  Auto  

GlobalVariable Property _ndm_option_playeressential  Auto  
GlobalVariable Property _ndm_option_loottype  Auto  
GlobalVariable Property _ndm_option_threshold_pct  Auto  
GlobalVariable Property _ndm_option_respawn  Auto  
GlobalVariable Property _ndm_option_info  Auto
GlobalVariable Property _ndm_option_loot_gold  Auto  
GlobalVariable Property _ndm_option_loot_item  Auto  
GlobalVariable Property _ndm_option_loot_gold_pct  Auto  
  

MiscObject Property Gold001  Auto  

ObjectReference Property _ndm_xmarker_001  Auto  
ObjectReference Property _ndm_xmarker_002  Auto  
ObjectReference Property _ndm_xmarker_003  Auto  
ObjectReference Property _ndm_xmarker_004  Auto  
ObjectReference Property _ndm_xmarker_005  Auto  
ObjectReference Property _ndm_xmarker_006  Auto  
ObjectReference Property _ndm_xmarker_007  Auto  
ObjectReference Property _ndm_xmarker_008  Auto  
ObjectReference Property _ndm_xmarker_009  Auto  
ObjectReference Property _ndm_xmarker_010  Auto  
ObjectReference Property _ndm_xmarker_011  Auto  
ObjectReference Property _ndm_xmarker_012  Auto  
ObjectReference Property _ndm_xmarker_013  Auto  
ObjectReference Property _ndm_xmarker_014  Auto  
ObjectReference Property _ndm_xmarker_015  Auto  
ObjectReference Property _ndm_xmarker_016  Auto  
ObjectReference Property _ndm_xmarker_017  Auto  
ObjectReference Property _ndm_xmarker_018  Auto  
ObjectReference Property _ndm_xmarker_019  Auto  
ObjectReference Property _ndm_xmarker_020  Auto  
ObjectReference Property _ndm_xmarker_021  Auto  
ObjectReference Property _ndm_xmarker_022  Auto  
ObjectReference Property _ndm_xmarker_023  Auto  

ObjectReference Property _ndm_loot_chest_001  Auto
ObjectReference Property _ndm_loot_chest_002  Auto
ObjectReference Property _ndm_loot_chest_003  Auto  
ObjectReference Property _ndm_loot_chest_004  Auto  
ObjectReference Property _ndm_loot_chest_005  Auto  
ObjectReference Property _ndm_loot_chest_006  Auto  
ObjectReference Property _ndm_loot_chest_007  Auto  
ObjectReference Property _ndm_loot_chest_008  Auto  
ObjectReference Property _ndm_loot_chest_009  Auto  
ObjectReference Property _ndm_loot_chest_010  Auto  
ObjectReference Property _ndm_loot_chest_011  Auto  
ObjectReference Property _ndm_loot_chest_012  Auto  
ObjectReference Property _ndm_loot_chest_013  Auto  
ObjectReference Property _ndm_loot_chest_014  Auto  

ObjectReference Property _ndm_xmarker_whiterun_temple  Auto  
ObjectReference Property _ndm_xmarker_markarth_temple  Auto  
ObjectReference Property _ndm_xmarker_solitude_temple  Auto  
ObjectReference Property _ndm_xmarker_riften_temple  Auto  
ObjectReference Property _ndm_xmarker_windhelm_temple  Auto  

float mindistance
float newdistance
int lootchest_rnd
int wilderness_rnd
int queststage
ObjectReference closestmarker
float health_threshold
int goldcount
int golddummy

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
	if (_ndm_global_trackhealth.GetValue() != 1)
		return
	endif
	Actor player = getActorRef()
	health_threshold = _ndm_option_threshold_pct.GetValue() / 100
	if ((player.getAvPercentage("Health") < health_threshold) && (player == Game.getPlayer()))
		player.StopCombat()
		(akAggressor as Actor).stopCombat()
		Debug.Notification(", , ...")
		player.resethealthandlimbs()
		Game.FadeOutGame(true, true, 0.1, 15)

		; Respawn Script
		
		if (_ndm_option_respawn.GetValue() == 4)
			; Respawn in closest temple
			mindistance = Game.GetPlayer().GetDistance(_ndm_xmarker_whiterun_temple)
			closestmarker = _ndm_xmarker_whiterun_temple
			newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_markarth_temple)
			if (newdistance < mindistance )
				mindistance = newdistance
				closestmarker = _ndm_xmarker_markarth_temple
			endIf
			newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_solitude_temple)
			if (newdistance < mindistance )
				mindistance = newdistance
				closestmarker = _ndm_xmarker_solitude_temple
			endIf
			newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_riften_temple)
			if (newdistance < mindistance )
				mindistance = newdistance
				closestmarker = _ndm_xmarker_riften_temple
			endIf
			newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_windhelm_temple)
			if (newdistance < mindistance )
				mindistance = newdistance
				closestmarker = _ndm_xmarker_windhelm_temple
			endIf
			Game.getPlayer().MoveTo(closestmarker)
			Debug.Notification("   .")
			
		elseif (_ndm_option_respawn.GetValue() == 3)
			; Respawn in Whiterun Temple
			Game.getPlayer().MoveTo(_ndm_xmarker_whiterun_temple)
			Debug.Notification("   .")

		elseif (_ndm_option_respawn.GetValue() == 2)
			wilderness_rnd =  Utility.RandomInt(1, 23)
			if (wilderness_rnd == 1)
				closestmarker = _ndm_xmarker_001
			elseif (wilderness_rnd == 2)
				closestmarker = _ndm_xmarker_002
			elseif (wilderness_rnd == 3)
				closestmarker = _ndm_xmarker_003
			elseif (wilderness_rnd == 4)
				closestmarker = _ndm_xmarker_004
			elseif (wilderness_rnd == 5)
				closestmarker = _ndm_xmarker_005
			elseif (wilderness_rnd == 6)
				closestmarker = _ndm_xmarker_006
			elseif (wilderness_rnd == 7)
				closestmarker = _ndm_xmarker_007
			elseif (wilderness_rnd == 8)
				closestmarker = _ndm_xmarker_008
			elseif (wilderness_rnd == 9)
				closestmarker = _ndm_xmarker_009
			elseif (wilderness_rnd == 10)
				closestmarker = _ndm_xmarker_010
			elseif (wilderness_rnd == 11)
				closestmarker = _ndm_xmarker_011
			elseif (wilderness_rnd == 12)
				closestmarker = _ndm_xmarker_012
			elseif (wilderness_rnd == 13)
				closestmarker = _ndm_xmarker_013
			elseif (wilderness_rnd == 14)
				closestmarker = _ndm_xmarker_014
			elseif (wilderness_rnd == 15)
				closestmarker = _ndm_xmarker_015
			elseif (wilderness_rnd == 16)
				closestmarker = _ndm_xmarker_016
			elseif (wilderness_rnd == 17)
				closestmarker = _ndm_xmarker_017
			elseif (wilderness_rnd == 18)
				closestmarker = _ndm_xmarker_018
			elseif (wilderness_rnd == 19)
				closestmarker = _ndm_xmarker_019
			elseif (wilderness_rnd == 20)
				closestmarker = _ndm_xmarker_020
			elseif (wilderness_rnd == 21)
				closestmarker = _ndm_xmarker_021
			elseif (wilderness_rnd == 22)
				closestmarker = _ndm_xmarker_022
			elseif (wilderness_rnd == 23)
				closestmarker = _ndm_xmarker_023
			endif
			Game.getPlayer().MoveTo(closestmarker)
			
			Debug.Notification("    -  .")
			
		elseif (_ndm_option_respawn.GetValue() == 1)

		mindistance = Game.GetPlayer().GetDistance(_ndm_xmarker_001)
		closestmarker = _ndm_xmarker_001
		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_002)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_002
		endIf
		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_003)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_003
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_004)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_004
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_005)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_005
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_006)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_006
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_007)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_007
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_008)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_008
		endIf

		player.resethealthandlimbs()

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_009)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_009
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_010)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_010
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_011)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_011
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_012)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_012
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_013)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_013
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_014)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker =_ndm_xmarker_014
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_015)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_015
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_016)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_016
		endIf

		player.resethealthandlimbs()

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_017)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_017
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_018)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_018
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_019)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_019
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_020)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_020
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_021)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_021
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_022)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_022
		endIf

		newdistance = Game.GetPlayer().GetDistance(_ndm_xmarker_023)
		if (newdistance < mindistance )
			mindistance = newdistance
			closestmarker = _ndm_xmarker_023
		endIf

		Game.getPlayer().MoveTo(closestmarker)
			Debug.Notification("    -  .")
		endif

		;End of Respawn Script

		player.resethealthandlimbs()
		Game.FadeOutGame(false, true, 0.01, 10)
		
		;queststage = _ndm_mainquest.GetStage()
		;if ((queststage > 5) && (queststage < 1500))

		;Loot Script

		if (_ndm_option_loot_gold.GetValue() == 1 && _ndm_option_loot_item.GetValue() == 1)
			goldcount = Game.getPlayer().GetItemCount(Gold001)
			;golddummy = (goldcount * (1 - (_ndm_option_loot_gold_pct.GetValue()/100)) as Int)
			Game.getPlayer().RemoveAllItems()
			;Game.getPlayer().AddItem(Gold001, golddummy, true)

		elseif (_ndm_option_loot_gold.GetValue() == 1 && _ndm_option_loot_item.GetValue() == 2)
			goldcount = Game.getPlayer().GetItemCount(Gold001)
			;golddummy = (goldcount * (_ndm_option_loot_gold_pct.GetValue()/100) as Int)
			;Game.getPlayer().RemoveItem(Gold001, golddummy, true)
			Game.getPlayer().RemoveItem(Gold001, goldcount, true)

		if (_ndm_global_unrecovereditems.GetValue() == 1) 
			if ( _ndm_global_currentchestno.Getvalue() == 1)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_001 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 2)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_002 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 3)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_003 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 4)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_004 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 5)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_005 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 6)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_006 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 7)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_007 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 8)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_008 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 9)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_009 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 10)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_010 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 11)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_011 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 12)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_012 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 13)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_013 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 14)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_014 )
			endif
		else
			lootchest_rnd = Utility.RandomInt(1, 14)
			if (lootchest_rnd == 1)		
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_001 )
				_ndm_global_currentchestno.SetValueInt(1)
			elseif (lootchest_rnd == 2)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_002 )
				_ndm_global_currentchestno.SetValueInt(2)
			elseif (lootchest_rnd == 3)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_003 )
				_ndm_global_currentchestno.SetValueInt(3)
			elseif (lootchest_rnd == 4)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_004 )
				_ndm_global_currentchestno.SetValueInt(4)
			elseif (lootchest_rnd == 5)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_005 )
				_ndm_global_currentchestno.SetValueInt(5)
			elseif (lootchest_rnd == 6)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_006 )
				_ndm_global_currentchestno.SetValueInt(6)
			elseif (lootchest_rnd == 7)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_007 )
				_ndm_global_currentchestno.SetValueInt(7)
			elseif (lootchest_rnd == 8)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_008 )
				_ndm_global_currentchestno.SetValueInt(8)
			elseif (lootchest_rnd == 9)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_009 )
				_ndm_global_currentchestno.SetValueInt(9)
			elseif (lootchest_rnd == 10)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_010 )
				_ndm_global_currentchestno.SetValueInt(10)
			elseif (lootchest_rnd == 11)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_011 )
				_ndm_global_currentchestno.SetValueInt(11)
			elseif (lootchest_rnd == 12)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_012 )
				_ndm_global_currentchestno.SetValueInt(12)
			elseif (lootchest_rnd == 13)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_013 )
				_ndm_global_currentchestno.SetValueInt(13)
			elseif (lootchest_rnd == 14)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_014 )
				_ndm_global_currentchestno.SetValueInt(14)
			endif
			_ndm_mainquest.SetObjectiveDisplayed(1001)
			;_ndm_mainquest.SetStage(10)
			_ndm_global_unrecovereditems.SetValueInt(1)
			if (_ndm_option_info.GetValue() == 1)
				_ndm_global_locationknown.SetValueInt(0)
			else
				_ndm_global_locationknown.SetValueInt(1)
			endif
		endif

		elseif (_ndm_option_loot_gold.GetValue() == 2 && _ndm_option_loot_item.GetValue() == 1)
			goldcount = Game.getPlayer().GetItemCount(Gold001)
			Game.getPlayer().RemoveAllItems()

		if (_ndm_global_unrecovereditems.GetValue() == 1) 
			if ( _ndm_global_currentchestno.Getvalue() == 1)
				_ndm_loot_chest_001.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 2)
				_ndm_loot_chest_002.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 3)
				_ndm_loot_chest_003.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 4)
				_ndm_loot_chest_004.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 5)
				_ndm_loot_chest_005.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 6)
				_ndm_loot_chest_006.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 7)
				_ndm_loot_chest_007.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 8)
				_ndm_loot_chest_008.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 9)
				_ndm_loot_chest_009.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 10)
				_ndm_loot_chest_010.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 11)
				_ndm_loot_chest_011.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 12)
				_ndm_loot_chest_012.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 13)
				_ndm_loot_chest_013.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 14)
				_ndm_loot_chest_014.AddItem(Gold001, goldcount, true)
			endif
		else
			lootchest_rnd = Utility.RandomInt(1, 14)
			if (lootchest_rnd == 1)		
				_ndm_loot_chest_001.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(1)
			elseif (lootchest_rnd == 2)
				_ndm_loot_chest_002.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(2)
			elseif (lootchest_rnd == 3)
				_ndm_loot_chest_003.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(3)
			elseif (lootchest_rnd == 4)
				_ndm_loot_chest_004.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(4)
			elseif (lootchest_rnd == 5)
				_ndm_loot_chest_005.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(5)
			elseif (lootchest_rnd == 6)
				_ndm_loot_chest_006.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(6)
			elseif (lootchest_rnd == 7)
				_ndm_loot_chest_007.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(7)
			elseif (lootchest_rnd == 8)
				_ndm_loot_chest_008.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(8)
			elseif (lootchest_rnd == 9)
				_ndm_loot_chest_009.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(9)
			elseif (lootchest_rnd == 10)
				_ndm_loot_chest_010.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(10)
			elseif (lootchest_rnd == 11)
				_ndm_loot_chest_011.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(11)
			elseif (lootchest_rnd == 12)
				_ndm_loot_chest_012.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(12)
			elseif (lootchest_rnd == 13)
				_ndm_loot_chest_013.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(13)
			elseif (lootchest_rnd == 14)
				_ndm_loot_chest_014.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(14)
			endif
			_ndm_mainquest.SetObjectiveDisplayed(1001)
			;_ndm_mainquest.SetStage(10)
			_ndm_global_unrecovereditems.SetValueInt(1)
			if (_ndm_option_info.GetValue() == 1)
				_ndm_global_locationknown.SetValueInt(0)
			else
				_ndm_global_locationknown.SetValueInt(1)
			endif
		endif

		elseif (_ndm_option_loot_gold.GetValue() == 2 && _ndm_option_loot_item.GetValue() == 2)

		if (_ndm_global_unrecovereditems.GetValue() == 1) 
			if ( _ndm_global_currentchestno.Getvalue() == 1)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_001 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 2)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_002 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 3)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_003 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 4)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_004 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 5)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_005 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 6)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_006 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 7)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_007 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 8)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_008 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 9)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_009 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 10)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_010 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 11)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_011 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 12)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_012 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 13)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_013 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 14)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_014 )
			endif
		else
			lootchest_rnd = Utility.RandomInt(1, 14)
			if (lootchest_rnd == 1)		
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_001 )
				_ndm_global_currentchestno.SetValueInt(1)
			elseif (lootchest_rnd == 2)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_002 )
				_ndm_global_currentchestno.SetValueInt(2)
			elseif (lootchest_rnd == 3)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_003 )
				_ndm_global_currentchestno.SetValueInt(3)
			elseif (lootchest_rnd == 4)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_004 )
				_ndm_global_currentchestno.SetValueInt(4)
			elseif (lootchest_rnd == 5)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_005 )
				_ndm_global_currentchestno.SetValueInt(5)
			elseif (lootchest_rnd == 6)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_006 )
				_ndm_global_currentchestno.SetValueInt(6)
			elseif (lootchest_rnd == 7)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_007 )
				_ndm_global_currentchestno.SetValueInt(7)
			elseif (lootchest_rnd == 8)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_008 )
				_ndm_global_currentchestno.SetValueInt(8)
			elseif (lootchest_rnd == 9)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_009 )
				_ndm_global_currentchestno.SetValueInt(9)
			elseif (lootchest_rnd == 10)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_010 )
				_ndm_global_currentchestno.SetValueInt(10)
			elseif (lootchest_rnd == 11)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_011 )
				_ndm_global_currentchestno.SetValueInt(11)
			elseif (lootchest_rnd == 12)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_012 )
				_ndm_global_currentchestno.SetValueInt(12)
			elseif (lootchest_rnd == 13)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_013 )
				_ndm_global_currentchestno.SetValueInt(13)
			elseif (lootchest_rnd == 14)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_014 )
				_ndm_global_currentchestno.SetValueInt(14)
			endif
			_ndm_mainquest.SetObjectiveDisplayed(1001)
			;_ndm_mainquest.SetStage(10)
			_ndm_global_unrecovereditems.SetValueInt(1)
			if (_ndm_option_info.GetValue() == 1)
				_ndm_global_locationknown.SetValueInt(0)
			else
				_ndm_global_locationknown.SetValueInt(1)
			endif
		endif

		elseif (_ndm_option_loot_gold.GetValue() == 2 && _ndm_option_loot_item.GetValue() == 3)
			goldcount = Game.getPlayer().GetItemCount(Gold001)
			Game.getPlayer().RemoveItem(Gold001, goldcount, true)

		if (_ndm_global_unrecovereditems.GetValue() == 1) 
			if ( _ndm_global_currentchestno.Getvalue() == 1)
				_ndm_loot_chest_001.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 2)
				_ndm_loot_chest_002.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 3)
				_ndm_loot_chest_003.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 4)
				_ndm_loot_chest_004.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 5)
				_ndm_loot_chest_005.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 6)
				_ndm_loot_chest_006.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 7)
				_ndm_loot_chest_007.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 8)
				_ndm_loot_chest_008.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 9)
				_ndm_loot_chest_009.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 10)
				_ndm_loot_chest_010.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 11)
				_ndm_loot_chest_011.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 12)
				_ndm_loot_chest_012.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 13)
				_ndm_loot_chest_013.AddItem(Gold001, goldcount, true)
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 14)
				_ndm_loot_chest_014.AddItem(Gold001, goldcount, true)
			endif
		else
			lootchest_rnd = Utility.RandomInt(1, 14)
			if (lootchest_rnd == 1)		
				_ndm_loot_chest_001.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(1)
			elseif (lootchest_rnd == 2)
				_ndm_loot_chest_002.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(2)
			elseif (lootchest_rnd == 3)
				_ndm_loot_chest_003.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(3)
			elseif (lootchest_rnd == 4)
				_ndm_loot_chest_004.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(4)
			elseif (lootchest_rnd == 5)
				_ndm_loot_chest_005.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(5)
			elseif (lootchest_rnd == 6)
				_ndm_loot_chest_006.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(6)
			elseif (lootchest_rnd == 7)
				_ndm_loot_chest_007.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(7)
			elseif (lootchest_rnd == 8)
				_ndm_loot_chest_008.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(8)
			elseif (lootchest_rnd == 9)
				_ndm_loot_chest_009.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(9)
			elseif (lootchest_rnd == 10)
				_ndm_loot_chest_010.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(10)
			elseif (lootchest_rnd == 11)
				_ndm_loot_chest_011.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(11)
			elseif (lootchest_rnd == 12)
				_ndm_loot_chest_012.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(12)
			elseif (lootchest_rnd == 13)
				_ndm_loot_chest_013.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(13)
			elseif (lootchest_rnd == 14)
				_ndm_loot_chest_014.AddItem(Gold001, goldcount, true)
				_ndm_global_currentchestno.SetValueInt(14)
			endif
			_ndm_mainquest.SetObjectiveDisplayed(1001)
			;_ndm_mainquest.SetStage(10)
			_ndm_global_unrecovereditems.SetValueInt(1)
			if (_ndm_option_info.GetValue() == 1)
				_ndm_global_locationknown.SetValueInt(0)
			else
				_ndm_global_locationknown.SetValueInt(1)
			endif
		endif

		elseif (_ndm_option_loot_gold.GetValue() == 3 && _ndm_option_loot_item.GetValue() == 2)
			goldcount = Game.getPlayer().GetItemCount(Gold001)
			Game.getPlayer().RemoveItem(Gold001, goldcount, true)

		if (_ndm_global_unrecovereditems.GetValue() == 1) 
			if ( _ndm_global_currentchestno.Getvalue() == 1)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_001 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 2)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_002 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 3)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_003 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 4)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_004 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 5)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_005 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 6)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_006 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 7)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_007 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 8)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_008 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 9)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_009 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 10)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_010 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 11)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_011 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 12)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_012 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 13)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_013 )
			endif
			if ( _ndm_global_currentchestno.Getvalue() == 14)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_014 )
			endif
		else
			lootchest_rnd = Utility.RandomInt(1, 14)
			if (lootchest_rnd == 1)		
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_001 )
				_ndm_global_currentchestno.SetValueInt(1)
			elseif (lootchest_rnd == 2)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_002 )
				_ndm_global_currentchestno.SetValueInt(2)
			elseif (lootchest_rnd == 3)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_003 )
				_ndm_global_currentchestno.SetValueInt(3)
			elseif (lootchest_rnd == 4)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_004 )
				_ndm_global_currentchestno.SetValueInt(4)
			elseif (lootchest_rnd == 5)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_005 )
				_ndm_global_currentchestno.SetValueInt(5)
			elseif (lootchest_rnd == 6)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_006 )
				_ndm_global_currentchestno.SetValueInt(6)
			elseif (lootchest_rnd == 7)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_007 )
				_ndm_global_currentchestno.SetValueInt(7)
			elseif (lootchest_rnd == 8)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_008 )
				_ndm_global_currentchestno.SetValueInt(8)
			elseif (lootchest_rnd == 9)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_009 )
				_ndm_global_currentchestno.SetValueInt(9)
			elseif (lootchest_rnd == 10)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_010 )
				_ndm_global_currentchestno.SetValueInt(10)
			elseif (lootchest_rnd == 11)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_011 )
				_ndm_global_currentchestno.SetValueInt(11)
			elseif (lootchest_rnd == 12)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_012 )
				_ndm_global_currentchestno.SetValueInt(12)
			elseif (lootchest_rnd == 13)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_013 )
				_ndm_global_currentchestno.SetValueInt(13)
			elseif (lootchest_rnd == 14)
				Game.getPlayer().RemoveAllItems( akTransferTo = _ndm_loot_chest_014 )
				_ndm_global_currentchestno.SetValueInt(14)
			endif
			_ndm_mainquest.SetObjectiveDisplayed(1001)
			;_ndm_mainquest.SetStage(10)
			_ndm_global_unrecovereditems.SetValueInt(1)
			if (_ndm_option_info.GetValue() == 1)
				_ndm_global_locationknown.SetValueInt(0)
			else
				_ndm_global_locationknown.SetValueInt(1)
			endif
		endif
			Game.getPlayer().AddItem(Gold001, goldcount, true)

		elseif (_ndm_option_loot_gold.GetValue() == 1 && _ndm_option_loot_item.GetValue() == 3)
			goldcount = Game.getPlayer().GetItemCount(Gold001)
			Game.getPlayer().RemoveItem(Gold001, goldcount, true)


		elseif (_ndm_option_loot_gold.GetValue() == 3 && _ndm_option_loot_item.GetValue() == 1)

			goldcount = Game.getPlayer().GetItemCount(Gold001)
			Game.getPlayer().RemoveAllItems()
			Game.getPlayer().AddItem(Gold001, goldcount, true)			

		endif

		;End of Loot Script

	endIf
endEvent

