Scriptname _ndm_mainmenu_script extends activemagiceffect  

GlobalVariable Property _ndm_global_trackhealth  Auto  

GlobalVariable Property _ndm_global_locationknown  Auto  

GlobalVariable Property _ndm_option_info  Auto  
GlobalVariable Property _ndm_option_loottype  Auto  
GlobalVariable Property _ndm_option_playeressential  Auto  
GlobalVariable Property _ndm_option_respawn  Auto  
GlobalVariable Property _ndm_option_threshold_pct  Auto  
GlobalVariable Property _ndm_option_loot_gold  Auto  
GlobalVariable Property _ndm_option_loot_item  Auto  
GlobalVariable Property _ndm_option_loot_gold_pct  Auto  
GlobalVariable Property _ndm_option_fortify_health  Auto  


Message Property _ndm_menu_main  Auto  
Message Property _ndm_menu_config  Auto  
Message Property _ndm_menu_health  Auto  
Message Property _ndm_menu_info  Auto  
Message Property _ndm_menu_loot  Auto  
Message Property _ndm_menu_respawn  Auto
Message Property _ndm_menu_presets  Auto    
Message Property _ndm_menu_other  Auto  

SPELL Property _ndm_ability_health50  Auto  
SPELL Property _ndm_recover_items_spell  Auto  

Event onEffectStart(Actor akTarget, Actor akCaster)

if (Game.GetPlayer().GetActorBase().IsEssential())
	_ndm_option_playeressential.SetValue(1)
else
	_ndm_option_playeressential.SetValue(0)
endif

int choice_main = _ndm_menu_main.show()
while (choice_main < 3)
	if (choice_main == 0)
		;Configuration
		int choice_config = _ndm_menu_config.show()
		while (choice_config < 4)
			if (choice_config == 0)
				;Health
				int choice_health = _ndm_menu_health.show()
				while (choice_health < 9)
					if (choice_health == 0)
						Game.GetPlayer().GetActorBase().SetEssential(false)
						_ndm_option_playeressential.SetValue(0)
					elseif (choice_health == 1)
						Game.GetPlayer().GetActorBase().SetEssential(true)
						_ndm_option_playeressential.SetValue(1)
					elseif (choice_health == 2)
						_ndm_option_threshold_pct.SetValue(10)
					elseif (choice_health == 3)
						_ndm_option_threshold_pct.SetValue(15)
					elseif (choice_health == 4)
						_ndm_option_threshold_pct.SetValue(20)
					elseif (choice_health == 5)
						_ndm_option_threshold_pct.SetValue(25)
					elseif (choice_health == 6)
						_ndm_option_threshold_pct.SetValue(30)
					elseif (choice_health == 7)
						_ndm_option_threshold_pct.SetValue(5)
					elseif (choice_health == 8)
						_ndm_option_threshold_pct.SetValue(5)
					endif
					choice_health = _ndm_menu_health.show()				
				endwhile
			elseif(choice_config == 1)
				;Loot
				int choice_loot = _ndm_menu_loot.show()
				while (choice_loot < 6)
					if (choice_loot == 0)
						_ndm_option_loot_item.SetValue(2)
					elseif (choice_loot == 1)
						_ndm_option_loot_item.SetValue(3)
					elseif (choice_loot == 2)
						_ndm_option_loot_item.SetValue(1)
					elseif (choice_loot == 3)
						_ndm_option_loot_gold.SetValue(2)
					elseif (choice_loot == 4)
						_ndm_option_loot_gold.SetValue(3)
					elseif (choice_loot == 5)
						_ndm_option_loot_gold.SetValue(1)
					endif
					choice_loot = _ndm_menu_loot.show()
				endwhile
			elseif(choice_config == 2)
				;Respawn
				int choice_respawn = _ndm_menu_respawn.show()
				while (choice_respawn < 4)
					if (choice_respawn == 0)
						_ndm_option_respawn.SetValue(2)
					elseif (choice_respawn == 1)
						_ndm_option_respawn.SetValue(3)
					elseif (choice_respawn == 2)
						_ndm_option_respawn.SetValue(4)
					elseif (choice_respawn == 3)
						_ndm_option_respawn.SetValue(1)
					endif
					choice_respawn = _ndm_menu_respawn.show()
				endwhile
			elseif(choice_config == 3)
				;Info
				int choice_info = _ndm_menu_info.show()
				while (choice_info < 2)
					if (choice_info == 0)
						_ndm_global_locationknown.SetValue(1)
						_ndm_option_info.SetValue(2)
					elseif (choice_info == 1)
						_ndm_option_info.SetValue(1)
					endif
					choice_info = _ndm_menu_info.show()
				endwhile
			endif
			choice_config = _ndm_menu_config.show()
		endwhile	
	elseIf (choice_main == 1)
		;Presets
		int choice_presets = _ndm_menu_presets.show()
		while (choice_presets < 5)
			if (choice_presets == 0)
				;Easy
				Game.GetPlayer().GetActorBase().SetEssential(true)
				_ndm_option_playeressential.SetValue(1)
				_ndm_option_threshold_pct.SetValue(10)
				_ndm_option_loot_gold.SetValue(3)
				_ndm_option_loot_item.SetValue(3)
				;_ndm_option_loottype.SetValue(5)
				_ndm_option_info.SetValue(2)
				_ndm_global_locationknown.SetValue(1)
				_ndm_option_respawn.SetValue(3)
			elseif (choice_presets == 1)
				;Convenient
				Game.GetPlayer().GetActorBase().SetEssential(true)
				_ndm_option_playeressential.SetValue(1)
				_ndm_option_threshold_pct.SetValue(10)
				_ndm_option_loot_gold.SetValue(2)
				_ndm_option_loot_item.SetValue(3)
				;_ndm_option_loottype.SetValue(4)
				_ndm_option_info.SetValue(2)
				_ndm_global_locationknown.SetValue(1)
				_ndm_option_respawn.SetValue(1)
			elseif (choice_presets == 2)
				;Normal
				Game.GetPlayer().GetActorBase().SetEssential(true)
				_ndm_option_playeressential.SetValue(1)
				_ndm_option_threshold_pct.SetValue(10)
				_ndm_option_loot_gold.SetValue(2)
				_ndm_option_loot_item.SetValue(2)
				;_ndm_option_loottype.SetValue(3)
				_ndm_option_info.SetValue(1)
				_ndm_option_respawn.SetValue(1)
			elseif (choice_presets == 3)
				;Hard
				Game.GetPlayer().GetActorBase().SetEssential(false)
				_ndm_option_playeressential.SetValue(0)
				_ndm_option_threshold_pct.SetValue(30)
				_ndm_option_loot_gold.SetValue(1)
				_ndm_option_loot_item.SetValue(2)
				;_ndm_option_loottype.SetValue(2)
				_ndm_option_info.SetValue(1)
				_ndm_option_respawn.SetValue(1)
			elseif (choice_presets == 4)
				;Hardcore
				Game.GetPlayer().GetActorBase().SetEssential(false)
				_ndm_option_playeressential.SetValue(0)
				_ndm_option_threshold_pct.SetValue(30)
				_ndm_option_loot_gold.SetValue(1)
				_ndm_option_loot_item.SetValue(1)
				;_ndm_option_loottype.SetValue(1)
				_ndm_option_info.SetValue(1)
				_ndm_option_respawn.SetValue(1)
			endif
			choice_presets = _ndm_menu_presets.show()
		endwhile
	elseIf (choice_main == 2)
		;Other
		int choice_other = _ndm_menu_other.show()
		while (choice_other < 6)
			if (choice_other == 0)
				;Prepare for uninstall
				_ndm_global_trackhealth.SetValue(0)
				Game.GetPlayer().GetActorBase().SetEssential(false)
				_ndm_option_playeressential.SetValue(0)
				Game.GetPlayer().AddSpell(_ndm_recover_items_spell)
				Game.GetPlayer().RemoveSpell(_ndm_ability_health50)
			elseif (choice_other == 1)
				_ndm_global_trackhealth.SetValue(0)
			elseif (choice_other == 2)
				_ndm_global_trackhealth.SetValue(1)
			elseif (choice_other == 3)
				_ndm_option_fortify_health.SetValue(1)
				Game.GetPlayer().AddSpell(_ndm_ability_health50, false)
			elseif (choice_other == 4)
				_ndm_option_fortify_health.SetValue(0)
				Game.GetPlayer().RemoveSpell(_ndm_ability_health50)
			elseif (choice_other == 5)
				Game.GetPlayer().AddSpell(_ndm_recover_items_spell)
			endif
			choice_other = _ndm_menu_other.show()
		endwhile
	endif
	choice_main = _ndm_menu_main.show()
endwhile

endEvent




